Subject: bug#50187: 28.0.50; tramp is called from calendar

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Sep 2022 11:41:48 +0200

Sam Steingold <[email-masked]> writes:

> `default-directory' should be remote only when there is a definite
> reason for that (IOW, for remote files and directories),
> it should not be inherited by non-file buffers at random.

It would be a break with how Emacs has worked for decades, so I don't
think that's something we could do in general.

I'm not even sure we could provide a user option for this -- if we're
not using the normal default directory here, which one should we choose
for `default-directory'?  "~/"?  "/"?

If starting calendar while in a Tramp buffer is problematic for you,
then I think the solution is to not do that, I'm afraid.